Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Class AbstractBayeux.DefaultPolicy

    java.lang.Object
      org.mortbay.cometd.AbstractBayeux.DefaultPolicy

All Implemented Interfaces:
  org.cometd.SecurityPolicy

Enclosing class:
  AbstractBayeux

    public static class AbstractBayeux.DefaultPolicy

extends java.lang.Object
implements org.cometd.SecurityPolicy

Constructor Summary
`AbstractBayeux.DefaultPolicy()`

Method Summary
`boolean` | `canCreate(org.cometd.Client client, java.lang.String channel, org.cometd.Message message)`
`boolean` | `canHandshake(org.cometd.Message message)`
`boolean` | `canPublish(org.cometd.Client client, java.lang.String channel, org.cometd.Message message)`
`boolean` | `canSubscribe(org.cometd.Client client, java.lang.String channel, org.cometd.Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBayeux.DefaultPolicy

    public AbstractBayeux.DefaultPolicy()

Method Detail

### canHandshake

    public boolean canHandshake(org.cometd.Message message)

  Specified by:
    `canHandshake` in interface `org.cometd.SecurityPolicy`

### canCreate

    public boolean canCreate(org.cometd.Client client,
                             java.lang.String channel,
                             org.cometd.Message message)

  Specified by:
    `canCreate` in interface `org.cometd.SecurityPolicy`

### canSubscribe

    public boolean canSubscribe(org.cometd.Client client,
                                java.lang.String channel,
                                org.cometd.Message message)

  Specified by:
    `canSubscribe` in interface `org.cometd.SecurityPolicy`

### canPublish

    public boolean canPublish(org.cometd.Client client,
                              java.lang.String channel,
                              org.cometd.Message message)

  Specified by:
    `canPublish` in interface `org.cometd.SecurityPolicy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.